<div class="d-flex justify-content-center align-items-center px-2 pt-5">
  <div class="col-12 col-lg-4">

    <div class="d-flex justify-content-center flex-column gap-1">
      <ng-container *transloco="let t; prefix: 'echo'">

        <h1 class="text-primary pb-3">{{ t('title') }}</h1>

        <h5>{{ t('subTitle') }}</h5>

        <ng-container *ngIf="echoResponse()">
          <div class="pt-2 d-flex flex-row gap-1">
            <p class="flex-shrink-0">{{t('username')+ ":"}}</p>
            <p>{{ echoResponse()?.username || 'no data' }}</p>
          </div>

          <div class="d-flex flex-row gap-1">
            <p class="flex-shrink-0">{{t('email')+ ":"}}</p>
            <p>{{ echoResponse()?.email  || 'no data' }}</p>
          </div>

          <div class="d-flex flex-row gap-1" *ngIf="(userIdentityAttributes() ?? '').length > 0">
            <p class="flex-shrink-0">{{t('endUserAssignedIdentityAttribute')+ ":"}}</p>
            <p>
            {{ userIdentityAttributes() }}
            </p>
          </div>

        </ng-container>


        <ng-container *ngIf="echoResponse()?.connectionStatus || echoResponse()?.mtlsStatus">
          <hr>

          <div class="d-flex flex-row gap-1 align-items-center">
            <p class="flex-shrink-0">{{t('connectionStatus')+ ":"}}</p>
            <p class="bg-gradient text-white rounded-1 p-1" [ngClass]="{'bg-success': echoResponse()?.connectionStatus === 'CONNECTED', 'bg-danger': echoResponse()?.connectionStatus === 'NOT_CONNECTED'}">{{ echoResponse()?.connectionStatus || 'no data' | removeUnderscore}}</p>
          </div>

          <div class="d-flex flex-row gap-1 align-items-center">
            <p class="flex-shrink-0">{{t('mtlsStatus')+ ":"}}</p>
            <p class="bg-gradient text-white rounded-1 p-1" [ngClass]="{'bg-success': echoResponse()?.mtlsStatus === 'SECURED', 'bg-danger': echoResponse()?.mtlsStatus === 'NOT_SECURED' }">{{ echoResponse()?.mtlsStatus || 'no data' | removeUnderscore}}</p>
          </div>

        </ng-container>


        <ng-container  *ngIf="echoResponse()?.id || echoResponse()?.organization || echoResponse()?.outcomeUserEmail">
          <hr>

          <div class="d-flex flex-row gap-1" *ngIf="echoResponse()?.id">
            <p class="flex-shrink-0">{{t('commonName')+ ":"}}</p>
            <p>{{ echoResponse()?.id || 'no data' }}</p>
          </div>

          <div class="d-flex flex-row gap-1" *ngIf="echoResponse()?.organization">
            <p class="flex-shrink-0">{{t('organization')+ ":"}}</p>
            <p>{{ echoResponse()?.organization|| 'no data' }}</p>
          </div>

          <div class="d-flex flex-row gap-1">
            <p class="flex-shrink-0">{{t('key4')+ ":"}}</p>
            <p>{{ echoResponse()?.participantType || 'no data' | removeUnderscore}}</p>
          </div>

        </ng-container>

        <ng-container *ngIf="(echoResponse()?.identityAttributes ?? '').length > 0">
          <div class="d-flex flex-row gap-1">

            <div class="flex-grow-1 d-flex flex-wrap">
              <p>{{t('assignedIdentityAttributes')+ ":&nbsp;"}}</p>
              <p *ngFor="let idAtt of echoResponse()?.identityAttributes ?? []; let i = index">
                {{ idAtt.name }}{{(i === echoResponse()!.identityAttributes!.length -1) ? '' : ',&nbsp;' }}</p>
            </div>
          </div>
        </ng-container>

      </ng-container>
    </div>

  </div>
</div>
